
outputs='["results_tmp_10_13_0"]' # results_tmp_{task_id}_{sub_node_id}_{output_pin_id}

sourceDIR=/home/sxkj/bigdata

${SPARK_HOME}/bin/spark-submit \
  --master yarn \
  --name "sql_demo2_1009" \
  --deploy-mode cluster \
  --driver-memory 2g \
  --driver-cores 4 \
  --executor-memory 2g \
  --executor-cores 2 \
  --num-executors 1 \
  --conf spark.default.parallelism=2 \
  --conf spark.executor.memoryOverhead=4g \
  --conf spark.driver.memoryOverhead=2g \
  --conf spark.yarn.maxAppAttempts=3 \
  --conf spark.yarn.submit.waitAppCompletion=true \
  --conf spark.pyspark.driver.python=${sourceDIR}/py37/bin/python \
  --conf spark.yarn.appMasterEnv.PYSPARK_PYTHON=python3env/py37/bin/python \
  --conf spark.pyspark.python=python3env/py37/bin/python \
  ./sql_script_demo_1009.py "$inputs" $outputs
